<template>
  <div>
    <q-card class="my-card-my-payment my-card-my-payments-sections">
      <q-card-actions align="center">
        <div class="letras-system">{{ text }}</div>
      </q-card-actions>

      <q-card-actions align="center">
        <template v-if="series.length">
          <apexchart
            type="pie"
            width="320"
            :options="chartOptions"
            :series="series"
          ></apexchart>
        </template>
        <template v-else>
          <q-img
            class="style-no-data-graph"
            src="statics/images/no-data.svg"
            contain
          >
          </q-img>
        </template>
      </q-card-actions>
    </q-card>
  </div>
</template>

<script>
export default {
  props: {
    text: String,
    chartOptions: Object,
    series: Array,
  },
};
</script>

<style>
</style>